summaryrefslogtreecommitdiffstats
path: root/jjb/fuel/fuel-upload-artifact.sh
diff options
context:
space:
mode:
authorFatih Degirmenci <fatih.degirmenci@ericsson.com>2015-10-03 00:25:57 +0200
committerFatih Degirmenci <fatih.degirmenci@ericsson.com>2015-10-03 00:29:15 +0200
commitd888bcbab27ff0e3afb70243b3a327084078ddb4 (patch)
treeeb01e3aadd94eb011ec37622adaca896555f677a /jjb/fuel/fuel-upload-artifact.sh
parent00b1289d8c1e400f7e7e5a243dff39c97159be06 (diff)
Configure jenkins jobs for fuel
- verify jobs are configured in order to run builds and virtual deployments for each and every new patch. - merge jobs are configured in order to run builds and virtual deployments for merged changes. - daily jobs are not configured and currently disabled. - builder scripts are taken out from yml and converted to standalone scripts. Change-Id: I2fc8a5072a48ecabfb9b0460e3717c7bf3623ff4 Signed-off-by: Fatih Degirmenci <fatih.degirmenci@ericsson.com>
Diffstat (limited to 'jjb/fuel/fuel-upload-artifact.sh')
-rwxr-xr-xjjb/fuel/fuel-upload-artifact.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/jjb/fuel/fuel-upload-artifact.sh b/jjb/fuel/fuel-upload-artifact.sh
new file mode 100755
index 000000000..3b700c649
--- /dev/null
+++ b/jjb/fuel/fuel-upload-artifact.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+set -o errexit
+set -o nounset
+set -o pipefail
+
+# log info to console
+echo "Uploading the $INSTALLER artifact. This could take some time..."
+echo "--------------------------------------------------------"
+echo
+
+# source the opnfv.properties to get ARTIFACT_VERSION
+source $WORKSPACE/opnfv.properties
+
+# upload artifact and additional files to google storage
+gsutil cp $BUILD_DIRECTORY/opnfv-$OPNFV_ARTIFACT_VERSION.iso gs://$GS_URL/opnfv-$OPNFV_ARTIFACT_VERSION.iso > gsutil.iso.log 2>&1
+gsutil cp $WORKSPACE/opnfv.properties gs://$GS_URL/opnfv-$OPNFV_ARTIFACT_VERSION.properties > gsutil.properties.log 2>&1
+gsutil cp $WORKSPACE/opnfv.properties gs://$GS_URL/latest.properties > gsutil.latest.log 2>&1
+
+echo
+echo "--------------------------------------------------------"
+echo "Done!"
+echo "Artifact is available as http://$GS_URL/opnfv-$OPNFV_ARTIFACT_VERSION.iso"